Package org.eclipse.rdf4j.sparqlbuilder.graphpattern

## Class GraphPatternNotTriples

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.graphpattern.GraphPatternNotTriples

- All Implemented Interfaces:
    `QueryElement`, `GraphPattern`

      public class GraphPatternNotTriples
      extends Object
      implements GraphPattern

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphPatternNotTriples` | `and​(GraphPattern... patterns)` | Like `GraphPattern.and(GraphPattern...)`, but mutates and returns this instance
    `GraphPatternNotTriples` | `filter​(Expression<?> constraint)` | Like `GraphPattern.filter(Expression)`, but mutates and returns this instance
    `GraphPatternNotTriples` | `from​(GraphName name)` | Like `GraphPattern.from(GraphName)`, but mutates and returns this instance
    `String` | `getQueryString()` |
    `boolean` | `isEmpty()` |
    `GraphPatternNotTriples` | `minus​(GraphPattern... patterns)` | Like `GraphPattern.minus(GraphPattern...)`, but mutates and returns this instance
    `GraphPatternNotTriples` | `optional()` | Like `GraphPattern.optional()`, but mutates and returns this instance
    `GraphPatternNotTriples` | `optional​(boolean isOptional)` | Like `GraphPattern.optional(boolean)`, but mutates and returns this instance
    `GraphPatternNotTriples` | `union​(GraphPattern... patterns)` | Like `GraphPattern.union(GraphPattern...)`, but mutates and returns this instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.graphpattern.GraphPattern

      `filterExists, filterExists, filterNotExists`

- - ### Method Detail

    - #### and

          public GraphPatternNotTriples and​(GraphPattern... patterns)

      Like `GraphPattern.and(GraphPattern...)`, but mutates and returns this instance
      Specified by:
        `and` in interface `GraphPattern`
      Parameters:
        `patterns` - the patterns to add
      Returns:
        this
      See Also:
        SPARQL Group Graph Pattern

    - #### union

          public GraphPatternNotTriples union​(GraphPattern... patterns)

      Like `GraphPattern.union(GraphPattern...)`, but mutates and returns this instance
      Specified by:
        `union` in interface `GraphPattern`
      Parameters:
        `patterns` - the patterns to add
      Returns:
        this
      See Also:
        SPARQL Alternative Graph Pattern

    - #### optional

          public GraphPatternNotTriples optional()

      Like `GraphPattern.optional()`, but mutates and returns this instance
      Specified by:
        `optional` in interface `GraphPattern`
      Returns:
        this
      See Also:
        SPARQL Optional Graph Patterns

    - #### optional

          public GraphPatternNotTriples optional​(boolean isOptional)

      Like `GraphPattern.optional(boolean)`, but mutates and returns this instance
      Specified by:
        `optional` in interface `GraphPattern`
      Parameters:
        `isOptional` - if this graph pattern should be optional or not
      Returns:
        this
      See Also:
        SPARQL Optional Graph Patterns

    - #### filter

          public GraphPatternNotTriples filter​(Expression<?> constraint)

      Like `GraphPattern.filter(Expression)`, but mutates and returns this instance
      Specified by:
        `filter` in interface `GraphPattern`
      Parameters:
        `constraint` - the filter constraint
      Returns:
        this
      See Also:
        SPARQL Filter

    - #### minus

          public GraphPatternNotTriples minus​(GraphPattern... patterns)

      Like `GraphPattern.minus(GraphPattern...)`, but mutates and returns this instance
      Specified by:
        `minus` in interface `GraphPattern`
      Parameters:
        `patterns` - the patterns to construct the `MINUS` graph pattern with
      Returns:
        this
      See Also:
        SPARQL MINUS Graph Pattern

    - #### from

          public GraphPatternNotTriples from​(GraphName name)

      Like `GraphPattern.from(GraphName)`, but mutates and returns this instance
      Specified by:
        `from` in interface `GraphPattern`
      Parameters:
        `name` - the name to specify
      Returns:
        this
      See Also:
        Specifying Datasets in SPARQL Queries

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `GraphPattern`
      Returns:
        if this pattern is a collection of GraphPatterns (ie., Group or Alternative patterns), returns if the collection contains any patterns

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Returns:
        the String representing the SPARQL syntax of this element